[lucid] latest version of Date::Manip breaks tv_grab_uk_rt

Bug #544522 reported by zzz on 2010-03-22
132
This bug affects 23 people
Affects Status Importance Assigned to Milestone
FreeGuide-TV
High
Unassigned
Mythbuntu
Undecided
Dave Walker
XMLTV
Unknown
Unknown
xmltv (Debian)
Fix Released
Unknown
xmltv (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: xmltv

The latest version of Date::Manip (6.04) causes tv_grab_uk_rt in lucid xmltv (0.5.56-1) to break:

$ tv_grab_uk_rt
Using old-style config file
XMLTV requires a Date::Manip timezone of +0000 to work properly.
Current Date::Manip timezone is wet.
$

Has been fixed upstream, not yet in debian.

http://sourceforge.net/tracker/?func=detail&atid=424135&aid=2912037&group_id=39046
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=560300

Chris Butler (chrisb-debian) wrote :

This bug is NOT fixed upstream. There are still problems with the latest Date::Manip and xmltv, even though the issue mentioned in this bug report is no longer present.

Please read the history of the Debian bug for more information.

Dave Walker (davewalker) on 2010-03-25
Changed in xmltv (Ubuntu):
status: New → Confirmed
Dave Walker (davewalker) on 2010-03-25
Changed in mythbuntu:
status: New → Confirmed
assignee: nobody → Dave Walker (davewalker)
zzz (oldman-deactivatedaccount) wrote :

do we not need to consider downgrading to the karmic/lenny version (5.54-1) of libdate-manip-perl before shipping lucid then?

Chris Butler (chrisb-debian) wrote :

I think we've finally managed to put together a workaround for this problem. While there is still a bug in Date::Manip, it only occurs when expressing timezones as numerical offsets (e.g. "+0000"). I've patched xmltv so that it never uses invokes Date::Manip with timezones in that format.

I've created packages for 0.5.56+cvs20100328-1, which I've uploaded to:

http://people.debian.org/~chrisb/

This is a snapshot of today's CVS, which includes the fix. The packages were built for Debian, but I would imagine they'll install on an Ubuntu system as well. The plan is to give this change a few days or so to get a decent bit of testing. If all goes well, a new upstream release should follow, at which point I'll upload it to Debian.

I'd welcome any feedback on the experimental packages if anyone can get chance to test them, especially anyone using grabbers other than tv_grab_uk_rt.

Dave Walker (davewalker) wrote :

Hi Chris, I can confirm your packages fix the issue with tv_grab_uk_rt at least. If i could ask that you try and get it into Debian unstable as soon as possible, then i'll request a sync. I'd rather not diverge before release, if we can avoid it.

Nico (nico-rdo) wrote :

I confirm that the xmltv packages made by Chris fix the bug to uk_rt

Changed in xmltv (Debian):
status: Unknown → Confirmed
Dave Walker (davewalker) on 2010-04-03
Changed in xmltv (Ubuntu):
assignee: nobody → Dave Walker (davewalker)
Changed in xmltv (Debian):
status: Confirmed → Fix Released
tuxinvader (tuxinvader) wrote :

As the fix is now in Debian.... what are the chances of this making it into Lucid?

I can confirm that ChrisBs patch works with the current mythtv packages in Lucid.

turner (matt-54-msn) wrote :

i dont know if i have the same problem but mine says

RRunning command: tv_grab_uk_rt --quiet --config-file "/home/matthew/.freeguide/xmltv-configs/uk_rt.conf"
XMLTV requires a Date::Manip timezone of +0000 to work properly.
Current Date::Manip timezone is 1.
Error executing grabber: Content is not allowed in prolog.
Result code = 255

when i update the listings
i have ubuntu 10.04
and freeguide 0.10.12

thanks

Kieren (kierensearle) wrote :

Bug present in Kubuntu 10.04

This cripples several applications on Lucid. I don't know what the correct procedure is, but I'd like to see this fix delivered as an update in Lucid.

Changed in freeguide-tv:
status: New → Confirmed

The Debian package is here: http://packages.debian.org/squeeze/all/xmltv-util/download

I don't know whether it works...

markofealing (mark-ferns16) wrote :

Based on this bug, I've just decided not to upgrade to 10.04 until at least 10.10!

turner (matt-54-msn) wrote :

it just closes before i can install it

markofealing (mark-ferns16) wrote :

Changed my mind! Fresh install of 10.04 and then, following Andy's advice downloaded xmltv-util_0.5.56+cvs20100328-1_all.deb, but could not install via GUI installer or command line due to unmet dependencies.

dpkg: dependency problems prevent configuration of xmltv-util:
 xmltv-util depends on libxmltv-perl (= 0.5.56+cvs20100328-1); however:
  Version of libxmltv-perl on system is 0.5.56-1.
dpkg: error processing xmltv-util (--install):
 dependency problems - leaving unconfigured
Processing triggers for man-db ...
Errors were encountered while processing:
 xmltv-util

So to aviod dependency problems added debian Squeeze 6 repository:

 deb http://ftp.de.debian.org/debian squeeze main

to software sources

Got the usual signature verify error and used instructions in thishttp://gnuru.org/article/1465/debian-public-keys-error to fix

Ran sudo apt-get update, then followed with upgrade. This upgraded the following:

Get: 1 http://ftp.de.debian.org/debian/ squeeze/main xmltv 0.5.56+cvs20100328-1 [179kB]
Get: 2 http://ftp.de.debian.org/debian/ squeeze/main xmltv-gui 0.5.56+cvs20100328-1 [235kB]
Fetched 414kB in 1s (302kB/s)
(Reading database ... 117239 files and directories currently installed.)
Preparing to replace xmltv 0.5.56-1 (using .../xmltv_0.5.56+cvs20100328-1_all.deb) ...
Unpacking replacement xmltv ...
Preparing to replace xmltv-gui 0.5.56-1 (using .../xmltv-gui_0.5.56+cvs20100328-1_all.deb) ...
Unpacking replacement xmltv-gui ...
Processing triggers for man-db ...
Setting up xmltv-gui (0.5.56+cvs20100328-1) ...
Setting up xmltv (0.5.56+cvs20100328-1) ...

Then disabled the Debian repository.

However, I'm still not getting xmltv data in Mythbuntu I'm running the United Kingdom/ Republic of Ireland (Radio Times) (xmltv) listings grabber. is this the correct one for the uk?

There are instructions for how to get an updated XMLTV here: http://www.artificialworlds.net/freeguide/FAQ/DateManipError

markofealing , it sounds like you have a different problem? I think you'll need to find an error message somewhere and follow up with either MythTV or XMLTV, possibly in a separate bug report.

turner (matt-54-msn) wrote :

i downloaded the three but it says

Error: Dependency is not satisfiable: libxmltv-perl (= 0.5.56+cvs20100328-1)

Kieren (kierensearle) wrote :

Make sure your repository is up to date:

sudo apt-get update

Mark Fraser (launchpad-mfraz) wrote :

The only way I could get it to work was to download libxmltv-perl_0.5.57-1, xmltv-gui_0.5.57-1, xmltv-util_0.5.57-1 and xmltv_0.5.57-1_all from http://packages.debian.org/sid/xmltv .

turner (matt-54-msn) wrote :

i found the link i needed from the link above and found the missing file its this link

http://packages.debian.org/squeeze/libxmltv-perl

and you need to remove freeguide and xmltv install the above link

than install the other files above and freeguide

thanks for the help

Michael (michaelnt) wrote :

I fixed this by doing the following

Install Test::Inter libtest-inter-perl_1.01 which I had to create a new debian package for

Updating Date::Manip (libdate-manip-perl_6.11) to the latest version 6.11

Upgrading xmltv to the latest version 0.5.57. I needed to make a small modification to the debian/xmltv-util.install to include some new files.

Changed in freeguide-tv:
importance: Undecided → High
Kieren (kierensearle) wrote :

Is there any planned fix for this? With 10.04 being LTS this bug will cause a lot of grief for those of us who want to use/develop applications that use xmltv

markofealing (mark-ferns16) wrote :

Fixed this in Ubuntu 10.04 by adding Debian Squeeze to Synaptic repository like so

 deb http://ftp.de.debian.org/debian squeeze main

Updating and the searching for XMLTV, selected xmltv 0.5.57.3, which then selected following dependencies

libxmltv-perl_0.5.57-3, xmltv-gui_0.5.57-3, xmltv-util_0.5.57-3

Applied all and XMLTV updated correctly and FreeGuide-TV now works.

Removed repository from Synaptic.

Why haven't the files been added to the Ubuntu repository yet?

It should not be necessary to put up this sort of problem with a LTS release!

Sebastian Malcolm (smalcolm) wrote :

Fixes committed in packages built from xmltv source >=0.5.57
eg: The binary packages for Maverick <https://launchpad.net/ubuntu/maverick/+source/xmltv> installed (via manual download) into Lucid today worked for me to successfully run "tv_grab_uk_rt --configure" then (after checking ~/.xmltv/cache/ dir existed):
tv_grab_uk_rt --config-file "~/.xmltv/tv_grab_uk_rt.conf"
[Note this grab took ~20mins to complete from the command line or equivalent listings download button in the 'Input Connections' setup of MythTV Setup. ]

Dave Walker: Can you get xmltv version 0.5.57 packages into lucid-updates or lucid-backports, and then this report could be marked as Fix Released?

Changed in xmltv (Ubuntu):
status: Confirmed → Fix Committed
Sebastian Malcolm (smalcolm) wrote :

I found "libparse-recdescent-perl" is a dependency package of xmltv-util 0.5.57-3, so I needed to install the version from Lucid before I could complete the manual install of the xmltv packages from Maverick.
Any one else reading this bug report may be looking for a copy-n-paste solution that works in Lucid without needing to add any package repo:

apt-get install libparse-recdescent-perl
wget http://launchpadlibrarian.net/49048115/xmltv_0.5.57-3_all.deb
wget http://launchpadlibrarian.net/49048118/xmltv-gui_0.5.57-3_all.deb
wget http://launchpadlibrarian.net/49048117/xmltv-util_0.5.57-3_all.deb
wget http://launchpadlibrarian.net/49048116/libxmltv-perl_0.5.57-3_all.deb
dpkg --install ./libxmltv-perl_0.5.57-3_all.deb ./xmltv-util_0.5.57-3_all.deb ./xmltv-gui_0.5.57-3_all.deb ./xmltv_0.5.57-3_all.deb
tv_grab_uk_rt --configure
tv_grab_uk_rt --config-file "~/.xmltv/tv_grab_uk_rt.conf"

Note the links above to newer versions of XML TV packages in Maverick will get deprecated with the next package release, so until this version is available in Lucid, you *should* go use the newest links to Binary Packages from: https://launchpad.net/ubuntu/maverick/+source/xmltv

Dave Walker (davewalker) on 2012-02-15
Changed in xmltv (Ubuntu):
status: Fix Committed → Fix Released
Changed in xmltv (Ubuntu Lucid):
status: New → Triaged
Changed in xmltv (Ubuntu):
assignee: Dave Walker (davewalker) → nobody

Fixed in Lucid.

Changed in freeguide-tv:
status: Confirmed → Fix Committed
Thomas Mashos (tgm4883) wrote :

We really do appreciate you opening this ticket to help improve Mythbuntu, but it needs to be closed for a number of reasons. The biggest one is that upstream has moved on to a new version and believes this to be fixed. Could you please verify if this issue still exists in the latest version?

Please do not let the closing of this ticket dissuade you from opening a new ticket if this (or any other) problem occurs with the newer versions.

Thomas Mashos (tgm4883) on 2015-01-12
Changed in mythbuntu:
status: Confirmed → Expired

Thanks. I hadn't seen this for ages. Unfortunately I stopped using mythtv
last month. Its fine with me its closed though.

On Mon, 12 Jan 2015 00:11 Thomas Mashos <email address hidden> wrote:

> We really do appreciate you opening this ticket to help improve
> Mythbuntu, but it needs to be closed for a number of reasons. The
> biggest one is that upstream has moved on to a new version and believes
> this to be fixed. Could you please verify if this issue still exists in
> the latest version?
>
> Please do not let the closing of this ticket dissuade you from opening a
> new ticket if this (or any other) problem occurs with the newer
> versions.
>
> ** Changed in: mythbuntu
> Status: Confirmed => Expired
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/544522
>
> Title:
> [lucid] latest version of Date::Manip breaks tv_grab_uk_rt
>
> Status in FreeGuide TV Guide:
> Fix Committed
> Status in Mythbuntu, Ubuntu derivative focused upon MythTV:
> Expired
> Status in XMLTV:
> Unknown
> Status in xmltv package in Ubuntu:
> Fix Released
> Status in xmltv source package in Lucid:
> Triaged
> Status in xmltv package in Debian:
> Fix Released
>
> Bug description:
> Binary package hint: xmltv
>
> The latest version of Date::Manip (6.04) causes tv_grab_uk_rt in lucid
> xmltv (0.5.56-1) to break:
>
> $ tv_grab_uk_rt
> Using old-style config file
> XMLTV requires a Date::Manip timezone of +0000 to work properly.
> Current Date::Manip timezone is wet.
> $
>
> Has been fixed upstream, not yet in debian.
>
> http://sourceforge.net/tracker/?func=detail&atid=
> 424135&aid=2912037&group_id=39046
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=560300
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/freeguide-tv/+bug/544522/+subscriptions
>

Rolf Leggewie (r0lf) wrote :

lucid has seen the end of its life and is no longer receiving any updates. Marking the lucid task for this ticket as "Won't Fix".

Changed in xmltv (Ubuntu Lucid):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.